#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # 2A.data - Pandas et itérateurs
# 
# [pandas](http://pandas.pydata.org/) a tendance a prendre beaucoup d'espace mémoire pour charger les données, environ trois fois plus que sa taille sur disque.  Quand la mémoire n'est pas assez grande, que peut-on faire ?

# In[1]:


from jyquickhelper import add_notebook_menu
add_notebook_menu()


# In[2]:


from sklearn.datasets import load_iris
data = load_iris()


# In[3]:


import pandas
df = pandas.DataFrame(data.data)
df.column = "X1 X2 X3 X4".split()
df["target"] = data.target
df.head()


# In[4]:


df.to_csv("iris.txt", sep="\t", index=False)


# ## Exercice 1 : itérer sur un grand fichier
# 
# A quoi sert le paramètre *iterator* de la fonction [read_csv](https://pandas.pydata.org/pandas-docs/stable/generated/pandas.read_csv.html) ? Comment s'en servir pour lire un grand fichier ?

# In[5]:





# ## Exercice 2 : split train test
# 
# Utiliser les fonctions [read_csv](https://pandas.pydata.org/pandas-docs/stable/generated/pandas.read_csv.html) et [train_test_split](http://scikit-learn.org/stable/modules/generated/sklearn.model_selection.train_test_split.html) pour répartir un gros jeu de données en deux jeux train, test.

# In[6]:





# ## Exercice 3 : stratify ?
# 
# Que dire à propos de la fonction précédente du paramètre *stratify* de la fonction [train_test_split](http://scikit-learn.org/stable/modules/generated/sklearn.model_selection.train_test_split.html) ?

# In[7]:





# ## Exercice 4 : quelques idées pour un group by ?
# 
# Toujours sur un gros fichier...

# In[8]: